Inconsistent Down-casing causes host page to 404
Assignee: Greg Sutcliffe   

Category: Importers   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When adding a client to Foreman that has a mixed case hostname (HostName.localdomain), the host details page for this client

would display a 404 error.  The debug logs showed this when trying to load the host details page:

https://gist.github.com/natewalck/5238787

even though the reports log worked as expected:

https://gist.github.com/natewalck/5238798

gwmngilfen on #theforeman walked me through all the above troubleshooting and narrowed the issue down to the following line of

code:

https://github.com/theforeman/foreman/blob/develop/app/controllers/hosts_controller.rb#L508

I commented out that line of code, restarted the foreman and it began to work as expected.

Thanks to gwmngilfen for all the help on this!

Associated revisions

Revision a380bc92 - 04/02/2013 02:57 PM - Greg Sutcliffe

fixes #2351 Downcase fqdn when importing facts, for hostname validation consistency

History

#1 - 03/25/2013 01:38 PM - Greg Sutcliffe

- Assignee set to Greg Sutcliffe

- Priority changed from High to Normal

For clarity, this issue seems to be that the validations are not applied to hosts created via fact upload - UI-created hosts cannot have uppercase

characters in, but fact-created ones can.

We should probably apply the same validations to both creation types, and add a test to ensure it.

#2 - 03/26/2013 07:25 AM - Greg Sutcliffe

- Status changed from New to Ready For Testing

Nate, there's a better fix at https://github.com/theforeman/foreman/pull/484 if you want to try it.

#3 - 03/26/2013 07:28 AM - Greg Sutcliffe

- Project changed from Website to Foreman

#4 - 03/26/2013 07:29 AM - Greg Sutcliffe

- Category set to Importers
- Target version set to 1.2.0

#5 - 03/28/2013 11:35 AM - Nate Walck

I can confirm that this patch fixes the issue.

#6 - 04/02/2013 03:18 PM - Greg Sutcliffe

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset a380bc925f5823cc38b376d61244977c4eceff69.
